package admin

import (
	"crm-api/api/admin/vtiger"
	"crm-api/api/admin/zoho"

	"github.com/gin-gonic/gin"
)

func AddRouter(router *gin.Engine) {
	pbxGroup := router.Group("/pbx")
	// swagger.Enable(pbxGroup) // 20230419 pms 注释

	//pbxGroup.GET("/the42/password", getPassword)

	// pbxGroup.Use(middleware.JWTAuth(configs.ConfigGlobal.IdentityKey))
	// pbxGroup.Use(gin.BasicAuth(auth.AuthAccounts)) // 20250103 crm 注释
	// auth.AddRouter(pbxGroup) // 20230419 pms 注释

	vtiger.AddRouter(pbxGroup)
	zoho.AddRouter(pbxGroup)
}
